View Issue Details

IDProjectCategoryView StatusLast Update
16633Bug reportsOtherpublic2020-09-22 10:46
Reportercdorin Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.23.1 
Summary16633: Error message when changing the data policy message language unless I check the box
Description
  • Import the survey
  • execute it (it happens regardless of whether the data policy is inline or it is collapsible)
  • when changing the language, the error message is: "We are sorry but you can't proceed without first agreeing to our survey data policy." -

The message should not be displayed when switching langauges on the data policy page.

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Relationships

related to 15345 assignedcdorin Switching language requires the inline policy notice being ticked. 

Activities

cdorin

cdorin

2020-09-02 16:50

manager  

cdorin

cdorin

2020-09-02 16:52

manager   ~59683

LE: The error does not seem to exist in LS4 (master)

gabrieljenik

gabrieljenik

2020-09-03 21:23

developer   ~59700

Making a form of its own for the language changer of the first page. This form as only have the language will not trigger server side validation of the policy. This is how it is in LS4

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1574

gabrieljenik

gabrieljenik

2020-09-08 15:58

developer   ~59746

Placing some notes from Github in here.

Checked with:

When testing with no JS the upper menu doesn't ahow up.
Only the language changer from the body. Languages are changed good.

Bug is not reproducible in LS4.
Tested it with no JS as well.

gabrieljenik

gabrieljenik

2020-09-22 09:38

developer   ~59918

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30500

lime_release_bot

lime_release_bot

2020-09-22 10:46

administrator   ~59921

Fixed in Release 3.23.5+200923

Related Changesets

LimeSurvey: 3.x-LTS dbd8a8e4

2020-09-22 09:38:33

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16633: Error message when changing the data policy message language unless I check the box (#1574)

* Fixed issue 16633: Error message when changing the data policy message language unless I check the box

Making a form of its own for the language changer of the first page. This form as only have the language will not trigger server side validation of the policy. This is how it is in LS4

* Revert "Fixed issue 16633: Error message when changing the data policy message language unless I check the box"

This reverts commit a48b2b5ff950d7ab2904575d8feacd072783b198.

* Fixed issue 16633: Error message when changing the data policy message language unless I check the box

Making a form of its own for the language changer of the first page. This form as only have the language will not trigger server side validation of the policy. This is how it is in LS4.

Language changer from menu also updated.
Affected Issues
16633
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - themes/survey/vanilla/views/subviews/content/firstpage.twig Diff File
mod - themes/survey/vanilla/views/subviews/messages/warnings.twig Diff File
mod - themes/survey/vanilla/views/subviews/navigation/language_changer_first_page.twig Diff File

Issue History

Date Modified Username Field Change
2020-09-02 16:50 cdorin New Issue
2020-09-02 16:50 cdorin File Added: limesurvey_survey_831339.lss
2020-09-02 16:51 cdorin Assigned To => gabrieljenik
2020-09-02 16:51 cdorin Priority none => normal
2020-09-02 16:51 cdorin Status new => assigned
2020-09-02 16:51 cdorin Description Updated View Revisions
2020-09-02 16:52 cdorin Note Added: 59683
2020-09-02 23:44 gabrieljenik Relationship added related to 15345
2020-09-03 21:23 gabrieljenik Note Added: 59700
2020-09-08 15:58 gabrieljenik Note Added: 59746
2020-09-22 09:38 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS dbd8a8e4
2020-09-22 09:38 gabrieljenik Note Added: 59918
2020-09-22 09:38 gabrieljenik Resolution open => fixed
2020-09-22 10:46 lime_release_bot Note Added: 59921
2020-09-22 10:46 lime_release_bot Status assigned => closed